Page MenuHomePhabricator

Run Selenium tests in CI per-patch for extensions
Closed, ResolvedPublic

Description

All extensions that have Selenium tests should run tests per-patch. Cucumber tests (T179190) and daily jobs (T188742) are out of scope for this task.

Status

RepositoryCommitStatus
mediawiki/extensions/CentralAuth373522
mediawiki/extensions/CentralNotice380891
mediawiki/extensions/CirrusSearch381785T175179
mediawiki/extensions/Echo368409
mediawiki/extensions/ElectronPdfService371044
mediawiki/extensions/GettingStarted340124
mediawiki/extensions/Math346982
mediawiki/extensions/MobileFrontend392026T180125
mediawiki/extensions/MultimediaViewer389542
mediawiki/extensions/PageTriage391151
mediawiki/extensions/QuickSurveys340127
mediawiki/extensions/RevisionSlider387762
mediawiki/extensions/TwoColConflict390694
mediawiki/extensions/Wikibase391202T180482
mediawiki/extensions/WikibaseLexeme386140T180482
mediawiki/extensions/WikiLove340133
mediawiki/skins/MinervaNeue373902

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 364190 abandoned by Zfilipin:
WIP Copy extensions/RelatedArticles/tests/browser/LocalSettings.php to LocalSettings.php

Reason:
just a test

https://gerrit.wikimedia.org/r/364190

This is all is needed:

if [ -f ./src/extensions/RelatedArticles/tests/browser/LocalSettings.php ]; then
   echo '<?php include_once "$IP/extensions/RelatedArticles/tests/browser/LocalSettings.php"; ?>' >> ./src/LocalSettings.php
fi

Works for both mediawiki/core (mediawiki-core-qunit-selenium-337602-jessie/19) and RelatedArticles (mediawiki-core-qunit-selenium-337602-jessie/20).

Change 366236 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Use RelatedArticles' LocalSettings.php when running Selenium tests

https://gerrit.wikimedia.org/r/366236

Change 366244 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/RelatedArticles@master] WIP Use RelatedArticles' LocalSettings.php when running Selenium tests

https://gerrit.wikimedia.org/r/366244

Change 366245 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/RelatedArticles@master] On CI register browser tests LocalSettings

https://gerrit.wikimedia.org/r/366245

Change 366244 abandoned by Zfilipin:
WIP Use RelatedArticles' LocalSettings.php when running Selenium tests

Reason:
Better implementation: https://gerrit.wikimedia.org/r/#/c/366245/

https://gerrit.wikimedia.org/r/366244

Change 366245 abandoned by Hashar:
On CI register browser tests LocalSettings

Reason:
Will be done directly in the CI job

https://gerrit.wikimedia.org/r/366245

Change 366531 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] WIP Run WebdriverIO tests in CI for extensions

https://gerrit.wikimedia.org/r/366531

Change 366236 abandoned by Zfilipin:
Use RelatedArticles' LocalSettings.php when running Selenium tests

Reason:
Will be implemented differently in https://gerrit.wikimedia.org/r/#/c/366531

https://gerrit.wikimedia.org/r/366236

Done:

Pending review:

  • I have created a patch that updates mediawiki-core-qunit-selenium-jessie so it can run RelatedArticles tests, 366531

To do:

looks like a page is not created properly, ReadMore-is-present-in-Minerva.png

I've explained this before on another bug. You can see from the screenshot that the "Related Articles 1" page has not been created. This should be created by the test run (L40 of https://gerrit.wikimedia.org/r/#/c/347116/32/tests/selenium/support/index.js ) - the fact it isn't suggests there is something wrong with the article creation API.

Change 366531 merged by jenkins-bot:
[integration/config@master] Run WebdriverIO tests in CI for extensions

https://gerrit.wikimedia.org/r/366531

Change 390447 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Run qunit-selenium job for all repositories that have Selenium tests

https://gerrit.wikimedia.org/r/390447

@hashar should mediawiki-core-qunit-selenium-jessie be disabled for Wikibase too, like it is for WikibaseLexeme?

6 (out of 18) repos already have extension-selenium template, so I have added (as @hashar) has suggested mediawiki-core-qunit-selenium-jessie to the template, instead of directly to the repo configuration. I have also added mwext-ruby-jessie to the template since 3 (out of 6) repos had that job too.

The rest of the repos have mediawiki-core-qunit-selenium-jessie in experimental pipeline.

I am not sure what to do with Wikibase and WikibaseLexeme? Create mediawiki-core-qunit-selenium-composer?

Change 390447 merged by jenkins-bot:
[integration/config@master] Run qunit-selenium job for all repositories that have Selenium tests

https://gerrit.wikimedia.org/r/390447

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin renamed this task from Run WebdriverIO tests in CI for extensions to Run Selenium tests in CI for extensions.Nov 15 2017, 12:29 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.Nov 29 2017, 6:40 PM
zeljkofilipin moved this task from In Progress 🔨 to Next 🔜 on the User-zeljkofilipin board.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin moved this task from Inbox to Selenium on the MediaWiki-Core-Testing board.
zeljkofilipin rescinded a token.
zeljkofilipin awarded a token.
zeljkofilipin renamed this task from Run Selenium tests in CI for extensions to Run Selenium tests in CI per-patch for extensions.Jun 28 2018, 5:27 PM
zeljkofilipin updated the task description. (Show Details)